//These are the steps and platform for BIZZ02.POV
//This file also includes the water at the base of 
//the "temple". Not all of these steps are visible
//with current camera location.

#declare Steps=
   object {
      union {
      object {
         box { <-9, -2, -9>
               < 9, 4, 4>
               }}
      object {
         cylinder { <0, 4, -8> <0, 3.5, -8> 2 //step12
                  }}
      object {
         cylinder { <0, 3.5, -8> <0, 3, -8> 2.5 //step 11
                  }}
      object {
         cylinder { <0, 3, -8> <0, 2.5, -8> 3 //step 10
                  }}
      object {
         cylinder { <0, 2.5, -8> <0, 2, -8> 3.5 //step 9
                  }}
      object {
         cylinder { <0, 2, -8> <0, 1.5, -8> 4 //step 8
                  }}
      object {
         cylinder { <0, 1.5, -8> <0, 1, -8> 4.5 //step 7
                  }}
      object {
         cylinder { <0, 1, -8> <0, 0.5, -8> 5 //step 6
                  }}
      object { 
         cylinder { <0, 0.5, -8> <0, 0, -8> 5.5 //step 5
                  }}
      object {
         cylinder { <0, 0, -8> <0, -0.5, -8> 6 //step 4
                  }}
      object {
         cylinder { <0, -0.5, -8> <0, -1, -8> 6.5 //step 3
                  }}
      object {
         cylinder { <0, -1, -8> <0, -1.5, -8> 7 //step 2
                  }}
      object {
         cylinder { <0, -1.5, -8> <0, -2, -8> 7.5 //step 1
                  }}
            texture { White_Marble }
               finish {
               reflection 0.45
               ambient    0.2
               diffuse    0.6
               phong      1
               phong_size 80
               }}
            }
//Watery surface
plane { y, -2
   texture {
      pigment {
         rgb <0.25, 0.5, 1>
         }
         finish {
         reflection 0.6
         ambient    0.4
         diffuse    0.3
         phong      0.2
         phong_size 5
         }
         normal {
         ripples   0.7
         frequency 0.8
         }
       }}


   

