//A temple of the Beloved Povray sphere, Ver 1.0
//Does this belong in Focus Mythology???

//by Blane Bizzaro

#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "steps.inc"
#include "pillar.inc"

camera {
   location  <0, 6.5, -16.5>
   direction <0, 0, 1>
   up        <0, 1, 0>
   right     <4/3, 0, 0>
   look_at   <0, 4, 0>
   }


light_source { <-50, 0, -30> color Red }

light_source { <0, 100, 0> color Yellow 
spotlight
point_at <0, 10.5, -2.5>
tightness 12
radius 1
falloff 4.5
}
//light source behind temple platform
light_source { <0, -1, 6> color White }

light_source { <0, 6, -0.5> color DarkPurple }

fog { color red 0.1 green 0.2 blue 0.2 distance 100 }

//The Omnipresent, Beloved Povray sphere (I'm not worthy).
sphere { <0, 6, -3.5> 2//Holy radius
texture { Glass 3 finish { reflection 0.45 }}
}
   
object { Pillar }

object { Pillar translate <0.5, 0, -1.75> }

object { Pillar translate <0.5, 0, 1.75 > }

object { Pillar translate <1.75, 0, 3> }

object { Pillar translate <3.5, 0, 3.5> }

object { Pillar translate <5.25, 0, 3> }

object { Pillar translate <6.5, 0, 1.75> }

object { Pillar translate <7, 0, 0> }
    
object { Pillar translate <6.5, 0, -1.75> }

//The roof
object {
   cylinder { <0, 9, -2.5> <0, 10, -2.5> 4.5
      texture { White_Marble }
      finish {
      reflection 0.45
      ambient    0.2
      diffuse    0.6
      phong 1 phong_size 80
      }}
}
object {
   cylinder { <0, 10, -2.5> <0, 10.5, -2.5> 4
      texture { White_Marble }
      finish {
      reflection 0.45
      ambient    0.2
      diffuse    0.6
      phong 1 phong_size 80
      }}
}
object { Steps }
   
